CPP=@CPP@
CXX=@CXX@

AFLAGS=-g
CFLAGS=@CFLAGS@ -I. -I.. -I../devices @DEFS@
CXXFLAGS=$(CFLAGS)

LIBS=@LIBS@
MOC=@MOC@


OBJS=	FTPClient.o
# Not all object require the MOC preprocessor
MOCH=	FTPClient.h

MOBJS := $(patsubst %.h, %.moc.o, $(MOCH))



all:	lib.a

%.moc.cc: %.h
	$(MOC) -o $@ $<

clean:
	rm -f *.o *.a *~ *.moc.cc *.bak core

distclean:	clean
	rm -f config.h config.cache config.log config.status
	rm -f DEADJOE Makefile 

dep:
	makedepend -- $(CXXFLAGS) *.cc

lib.a: $(OBJS) $(MOBJS)
	ar rcs $@ $(OBJS) $(MOBJS)

